"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const socketDataEncoder = (socketData) => {
    const encoder = new TextDecoder('utf-8');
    const rawData = new Uint8Array(socketData);
    try {
        const data = JSON.parse(encoder.decode(rawData));
        return data;
    }
    catch (error) {
        console.error(error);
        return undefined;
    }
};
exports.default = socketDataEncoder;
