"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const updateQueueBuffer = (buffer, maxSize) => {
    const copyBuffer = (0, lodash_1.cloneDeep)(buffer);
    if (copyBuffer.length >= maxSize) {
        copyBuffer.splice(0, copyBuffer.length - maxSize);
    }
    return copyBuffer;
};
exports.default = updateQueueBuffer;
